// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) EventKinds() EventKinds { return EventKinds(t) }

type EventKinds struct{ alias string }

func (t EventKinds) TableAlias() string { return t.alias }
func (t EventKinds) name() string       { return "EventKinds" }
func (t EventKinds) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t EventKinds) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.Kind(),
	}
}

func (t EventKinds) Columns() EventKindsCols { return EventKindsCols{tableAlias: t.alias} }

type EventKindsCols struct{ tableAlias string }

func (c EventKindsCols) Kind() string { return colName(c.tableAlias, "Kind") } // STRING(100)
